#version 330

in vec4 inCoord;
in vec3 inNormal;
in vec2 inUV;
in vec4 inColor;

uniform mat4 uModelMatrix;
uniform mat4 uViewMatrix;
uniform mat4 uProjectionMatrix;

smooth out vec4 ioFragColor;
out vec3 ioNormal;
out vec2 ioUV;

void main()
{
    ioFragColor = inColor;
    ioNormal = inNormal;
    ioUV = inUV;
    gl_Position = (uProjectionMatrix * uViewMatrix * uModelMatrix * inCoord);
}
